Mon Dec 30 18:44:02 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* extensions/GNUmakefile: Updated for new apple library-combo in
	gnustep-make.
	* extensions/GNUmakefile.postamble: The same.

2001-07-20  Dominik Winter  <winter@iwinter.informatik.fh-schmalkalden.de>

	* PrintfScannerHandler.m ([PrintfScannerHandler
	-convertChar:scanner:]): change 'char' to 'int' in va_arg.

2001-03-06  Manuel Guesdon  <mguesdon@orange-concept.com>

	* extensions/GNUmakefile: re-added NGReflection files	
	
2000-03-20  Manuel Guesdon  <mguesdon@sbuilders.com>

	* Integrated MOF2 NGReflection classes 
	* extensions/GNUmakefile: added NGReflection files	
	* COPYING: Added NGReflection copyright
	
2000-02-21  Adam Fedor  <fedor@gnu.org>

	* Version 0.8.6 released
	* README, NEWS: Update.

	* config.guess, config.sub: Update

1999-09-04  Richard Frith-Macdonald <richard@brainstorm.co.uk>

	* extensions/NSException.h: Fix for change to NSException ivar names
	* objc/NXStringTable_scan.l: attempt fix to include config.h

1999-05-30  Manuel Guesdon  <mguesdon@sbuilders.com>

	* extensions/GCDictionary.m: added objectEnumerator in GCDictionary
	added _GCDictionaryObjectEnumerator

1999-03-10  Adam Fedor  <fedor@gnu.org>

	* Version 0.8.5
	
	* extensions/GNUmakefile (OBJC_HFILES): Move to upper objc
	directory to make installation easier.

	* extensions/config.h.in: Define HAVE_FLEX (For NXStringTable.m).

1999-03-07  Adam Fedor  <fedor@gnu.org>

	* extensions/GNUmakefile.postamble: Comment out LEX
	compilation. To many problems and it never needs to be done anyway.

1999-02-23  Richard Frith-Macdonald <richard@brainstorm.co.uk>

	* extensions/common.h: Brcaketed string methods with ifdef as
	suggested by yur@relay.kbimpuls.msk.ru.

1999-02-09  Adam Fedor  <fedor@gnu.org>

	* extensions/objc: Add old NeXT objects from base.
	* configure.in: Check for headers needed by NeXT objects.
	* extensions/GNUmakefile: Compile in NeXT objects.

Sat Dec 19 01:26:06 1998  Matthias Klose  <doko@cs.tu-berlin.de>

        * GNUmakefile.postamble: Use macro MKDIRS.
        * extensions/GNUmakefile.postamble: likewise

Thu Dec 17 16:12:18 1998  Matthias Klose  <doko@cs.tu-berlin.de> 
 
        * Version: New macro EXTENSIONS_VERSION. 

Tue Dec 15 12:37:55 1998  Adam Fedor  <fedor@ultra.doc.com>

	* configure.in: Add thread file to objc lib test. (patch from
 	Matthias Klose <doko@cs.tu-berlin.de>).

Thu Dec  3 11:02:43 1998  Adam Fedor  <fedor@ultra.doc.com>

	* aclocal.m4: Update forward declaration.

Fri Sep  4 16:40:00 1998  Adam Fedor  <fedor@ultra.doc.com>

	* configure.in: Check for libobjc and define OBJC_LIBS.

Wed May 13 15:57:44 1998  Adam Fedor  <fedor@ultra.doc.com>

	* extensions/objc-runtime.h: Don't include objc-api for NeXT.

Sat Feb 14 16:25:37 1998  Scott Christley  <scottc@net-community.com>

	* GNUmakefile.postamble: Use GNUSTEP_MAKEFILES instead.
	* extensions/GNUmakefile.postamble: Likewise.

Thu Feb  5 09:32:17 1998  Adam Fedor  <fedor@ultra.doc.com>

	* extensions/GNUmakefile: Include GNUmakefile.local
	* extensions/GNUmakefile.postamble (header-links): Removed.
	* extensions/GNUmakefile.preamble (ADDITIONAL_INCLUDE_DIRS): Removed
	../Headers.

Wed Feb  4 16:26:05 1998  Adam Fedor  <fedor@ultra.doc.com>

	* Changes to allow library to be compiled in a GNUstep package
	without having previous libraries installed.
	* GNUmakefile (GNUSTEP_MAKEFILES): New variable. Use it to
	include makefiles.
	* extensions/GNUmakefile: Likewise.
	* extensions/GNUmakefile.postamble (header-links): New target.
	* extensions/GNUmakefile.preamble (ADDITIONAL_INCLUDE_DIRS): Add
	../Headers.

Fri Jan  9 12:48:13 1998  Ovidiu Predescu <ovidiu@net-community.com>

	* extensions/GMArchiver.m: Send the replacementObjectForModelArchiver:
	even if we're in the first step of finding the conditional objects.

Wed Dec  3 19:15:04 1997  Ovidiu Predescu <ovidiu@net-community.com>

	Archiving and unarchiving of GModel files was added.
	* extensions/GMArchiver.h: New file.
	* extensions/GMArchiver.m: New file.
	* extensions/GMArchiveObjects.m: New file.

Wed Nov 19 12:50:27 1997  Ovidiu Predescu <ovidiu@net-community.com>

	* ChangeLog: Added FSF copyright.
	* extensions/GNUmakefile: Define GNUSTEP_INSTALLATION_DIR.
	* extensions/GNUmakefile.postamble: Properly install and remove the
	extensions.make file.
	* extensions/GNUmakefile.preamble: Define LIBRARIES_DEPEND_UPON.
	* extensions/objc-runtime.h: Updated the error message.

Sun Nov  2 10:57:11 1997  Scott Christley  <scottc@net-community.com>

	* extensions.make (AUXILIARY_LIBS): Rename to AUXILIARY_TOOL_LIBS.
	* extensions/MissingMethods.h: Interface not implementation.

Mon Oct 27 18:13:02 1997  Ovidiu Predescu <ovidiu@net-community.com>

	* Makefile: Renamed to GNUmakefile.
	* Makefile.postamble: Renamed to GNUmakefile.postamble.
	* extensions/Makefile: Renamed to GNUmakefile.
	* extensions/Makefile.preamble: Renamed to GNUmakefile.preamble.
	* extensions/Makefile.postamble: Renamed to GNUmakefile.postamble.

Fri Oct 24 19:33:25 1997  Ovidiu Predescu <ovidiu@net-community.com>

	Added support for the new OPENSTEP 4.x Foundation library.
	* extensions/encoding.h: New file.
	* extensions/NeXTFoundation/NSException.h: New file.
	* extensions/DefaultScannerHandler.h: Changed #include with #import.
	* extensions/DefaultScannerHandler.m: Likewise.
	* extensions/FormatScanner.h: Likewise.
	* extensions/FormatScanner.m: Likewise.
	* extensions/GCArray.h: Likewise.
	* extensions/GCArray.m: Likewise.
	* extensions/GCDictionary.h: Likewise.
	* extensions/GCDictionary.m: Likewise.
	* extensions/GCObject.h: Likewise.
	* extensions/GCObject.m: Likewise.
	* extensions/GarbageCollector.h: Likewise.
	* extensions/GarbageCollector.m: Likewise.
	* extensions/MissingMethods.h: Likewise.
	* extensions/NSException.m: Likewise.
	* extensions/PrintfFormatScanner.m: Likewise.
	* extensions/PrintfScannerHandler.m: Likewise.
	* extensions/common.h: Likewise.
	* extensions/objc-runtime.m: Likewise.
	* extensions/exceptions/FoundationException.h: Likewise.
	* extensions/exceptions/GeneralExceptions.h: Likewise.
	* extensions/exceptions/GeneralExceptions.m: Likewise.
	* extensions/exceptions/NSCoderExceptions.m: Likewise.
	* extensions/behavior.m: Likewise. Modified to work with the new NeXT
	runtime.
	* extensions/encoding.m: Changed the definition of ROUND because the
	native CC on OPENSTEP failed to understand the old one.
	* extensions/misc.m: Added code that deals with memory allocation.
	* extensions/objc-runtime.h: Updated to work better with the makefile
	package.

	Dropped support for old NeXT's foundation library.
	* config.mak.in: Removed.
	* extensions/HiddenClasses.h: Removed.
	* extensions/NSConcreteNumber.h: Removed.
	* extensions/NSConcreteNumber.m: Removed.
	* extensions/NSHashTable.h: Removed.
	* extensions/NSInvocation.h: Removed.
	* extensions/NSMapTable.h: Removed.
	* extensions/NSMethodSignature.h: Removed.
	* extensions/NSSet.h: Removed.
	* extensions/support.h.in: Removed.
	* extensions/foundation/NSException.h: Removed.

	* extensions/Makefile: Don't include ../config.mak since is no longer
	created. Properly set the files to be compiled and installed for
	different Foundation libraries.
	* extensions/Makefile.preamble: Remove the code for setting the 
	Foundation define since it is already present into the makefile
	package.
	* Makefile.postamble (after-distclean): Don't delete the config.mak
	file since is no longer created. Copy the proper exceptions file in the
	current working directory. No longer process the objc-runtime.h file.
	* aclocal.m4: Removed definition for AC_FIND_FOUNDATION.
	* configure.in: Don't create a support.h and config.mak files. Remove
	definitions for the object and library file extensions. Don't check for
	the make program.
	* extensions/GCArray.m (objectAtIndex:): Put THROW expression in
	paranthesis to make it work with commas inside.
	* extensions/MissingMethods.h: Changed the definitions to better match
	the systems. A lot of cleanup.
	* extensions/MissingMethods.m: Likewise.
	* NEWS: Updated.

Fri Oct 17 12:15:38 1997  Scott Christley  <scottc@net-community.com>

	* extensions.make: New file.
	* Makefile.postamble: Install/uninstall extensions.make.

	* Version: Update to version 0.8.0.
	* NEWS: Update.
	* README: Update.

	* COPYING: Update copyright and license information.
	* Makefile: Likewise.
	* Makefile.postamble: Likewise.
	* Version: Likewise.
	* config.mak.in: Likewise.
	* configure.in: Likewise.
	* extensions/DefaultScannerHandler.h: Likewise.
	* extensions/DefaultScannerHandler.m: Likewise.
	* extensions/FormatScanner.h: Likewise.
	* extensions/FormatScanner.m: Likewise.
	* extensions/GCArray.h: Likewise.
	* extensions/GCArray.m: Likewise.
	* extensions/GCDictionary.h: Likewise.
	* extensions/GCDictionary.m: Likewise.
	* extensions/GCObject.h: Likewise.
	* extensions/GCObject.m: Likewise.
	* extensions/GarbageCollector.h: Likewise.
	* extensions/GarbageCollector.m: Likewise.
	* extensions/HiddenClasses.h: Likewise.
	* extensions/Makefile: Likewise.
	* extensions/Makefile.postamble: Likewise.
	* extensions/Makefile.preamble: Likewise.
	* extensions/MissingMethods.h: Likewise.
	* extensions/MissingMethods.m: Likewise.
	* extensions/NSConcreteNumber.h: Likewise.
	* extensions/NSConcreteNumber.m: Likewise.
	* extensions/NSException.m: Likewise.
	* extensions/NSHashTable.h: Likewise.
	* extensions/NSInvocation.h: Likewise.
	* extensions/NSMapTable.h: Likewise.
	* extensions/NSMethodSignature.h: Likewise.
	* extensions/NSSet.h: Likewise.
	* extensions/NSPrintfFormatScanner.h: Likewise.
	* extensions/NSPrintfFormatScanner.m: Likewise.
	* extensions/NSPrintfScannerHandler.h: Likewise.
	* extensions/NSPrintfScannerHandler.m: Likewise.
	* extensions/behavior.m: Likewise.
	* extensions/common.h: Likewise.
	* extensions/config.h.in: Likewise.
	* extensions/libFoundationExt.def: Likewise.
	* extensions/objc-runtime.h: Likewise.
	* extensions/objc-runtime.m: Likewise.
	* extensions/support.h.in: Likewise.
	* extensions/win32-def.top: Likewise.
	* extensions/win32-entry.c: Likewise.
	* extensions/SunFoundation/NSException.h: Likewise.
	* extensions/foundation/NSException.h: Likewise.
	* extensions/gnustep-base/NSException.h: Likewise.
	* extensions/exceptions/FoundationException.h: Likewise.
	* extensions/exceptions/FoundationException.m: Likewise.
	* extensions/exceptions/GeneralException.h: Likewise.
	* extensions/exceptions/GeneralException.m: Likewise.
	* extensions/exceptions/NSCoderException.h: Likewise.
	* extensions/exceptions/NSCoderException.m: Likewise.

	* extensions/Makefile: Only compile NSConcreteNumber.m when
	using the NeXT foundation.

	* extensions/Makefile.postamble: Clean up subdirectories.

	* extensions/MissingMethods.h: Only include extensions'
	NSConcreteNumber.h when NeXT foundation.

Wed Oct  1 11:01:18 1997  Ovidiu Predescu <ovidiu@net-community.com>

	* extensions/Makefile: Corrected the code that checks for libFoundation
	to be for NeXT's old Foundation library in 3.3.

Tue Sep 30 08:24:09 1997  Scott Christley  <scottc@net-community.com>

	* extensions/Makefile (OBJC_FILES): Add exception files.
	* extensions/Makefile.postamble (before-all): Create
	exceptions object directory.
	(after-install): Modify objc-runtime.h to define the appropriate
	runtime when the file is installed.
	* extensions/Makefile.preamble: Define runtime variable.

Fri Sep 26 16:22:27 1997  Scott Christley  <scottc@net-community.com>

	* Convert to GNUstep makefile package.
	* Makefile: New file.
	* Makefile.postamble: New file.
	* Version: New file.
	* config.h.in: Moved to extensions subdirectory.
	* config.h.win32: Delete.
	* GNUmakefile: Delete.
	* config.mak.in: Eliminate unneeded variables.
	* configure.in: Eliminate unneeded checks.
	* configure: Regenerate for configure.in changes.
	* extensions/Makefile: New file.
	* extensions/Makefile.postamble: New file.
	* extensions/Makefile.preamble: New file.
	* extensions/GNUmakefile: Delete.
	* extensions/support.h.win32: Delete.
	* lib: Delete

	* extensions/GCArray.m: Fix up include directory.
	* extensions/GCDictionary.m: Likewise.
	* extensions/GCObject.m: Likewise.
	* extensions/MissingMethods.m: Likewise.
	* extensions/NSException.m: Likewise.
	* extensions/behavior.m: Likewise.
	* extensions/common.h: Likewise.
	* extensions/encoding.m: Likewise.
	* extensions/objc-runtime.h: Likewise.
	* extensions/objc-runtime.m: Likewise.
	* extensions/exceptions/NSCoderExceptions.m: Likewise.

Thu Jul 31 16:07:06 1997  Scott Christley  <scottc@net-community.com>

	* Add DLL support.
	* extensions/libFoundationExt.def: New file.
	* extensions/win32-def.top: New file.
	* extensions/win32-entry.c: New file.
	* config.guess: Update.
	* config.sub: Update.
	* config.mak.in: Add DLL support.  Parameterize -pipe option.
	* configure.in: Likewise.
	* configure: Regenerate
	* aclocal.m4: Fix typo.
	* extensions/GNUmakefile: Add DLL support.
	* extensions/objc-runtime.m: Access __objc_uninstalled_dtable
	variable through runtime function instead of directly.

Thu May 29 18:53:52 1997  Ovidiu Predescu <ovidiu@bx.logicnet.ro>

	* Public release 0.7.1.

Sat May 10  8:03:14 1997  Ovidiu Predescu <ovidiu@bx.logicnet.ro>

	* Foundation/GCObject.m (-release): Deallocate the object when the
	reference count is 1 without decreasing it anymore, this ensures
	OPENSTEP compatibility.

Mon Mar  3 14:20:36 1997  Ovidiu Predescu <ovidiu@bx.logicnet.ro>

	* Changed the copyright notice to libFoundation's copyright.
	* aclocal.m4: Changed the search order for different Foundation
	libraries to avoid inconsistent results on NT due to case insensitive
	names.
	* extensions/GCArray.m (-[GCArray classForCoder]): New method.
	* extensions/GCArray.m (-[GCMutableArray initWithArray:]): New method.
	* extensions/GCArray.m (-[GCMutableArray classForCoder]): New method.
	* extensions/GCArray.m (-[GCArray copy]): Removed.
	* extensions/GCArray.m (-[GCArray copyWithZone:],
	-[GCArray mutableCopyWithZone:], -[GCMutableArray copyWithZone:],
	-[GCMutableArray mutableCopyWithZone:]): Modified.
	
Mon Mar  3 09:01:14 1997  Scott Christley  <scottc@net-community.com>

	* extensions/MissingMethods.h (-initWithArray:copyItems:): New method.
	* extensions/MissingMethods.m (-initWithArray:copyItems:): New method.

Mon Feb  3 18:16:56 1997  Ovidiu Predescu <ovidiu@bx.logicnet.ro>

	* aclocal.m4: Modified to properly determine the Objective-C runtime.
	* config.mak.in: Always use ARFLAGS; AROUT has been changed to the
	value of ARFLAGS.
	* config.sub: Added flag for -openstep.

	* The Win32 makefile support has been merged with the
	Unix support in GNUmakefile.
	* Makefile.in: Changed to GNUmakefile.
	* Makefile.win32: Removed file.
	* extensions/Makefile.in: Removed file.
	* extensions/Makefile.win32: Removed file.

Fri Jan 24 13:31:59 1997  Scott Christley  <scottc@net-community.com>

	* aclocal.m4: Fixes so that the gnustep-base library is
	detected properly.
	* configure: Regenerate for aclocal.m4 changes.

Wed Dec 18 17:24:49 1996  Scott Christley  <scottc@net-community.com>

	* config.sub: Install recent file.
	* config.guess: Likewise.
	* configure.in: Don't override includedir variable; use 
	includesuffix variable instead.
	* configure: Regenerate for configure.in changes.
	* config.mak.in: Use libdir and includedir variables.
	* lib/Makefile (distclean): Don't delete Makefile.
	* extensions/MissingMethods.m (+dictionaryWithObjectsAndKeys:):
	Method already defined in gnustep-base library.
	(-substringWithRange:): Need to add for gnustep-base library.
	* extensions/NSException.m (initWithName:reason:userInfo:):
	Method already defined in gnustep-base library.

Wed Dec  4 03:27:54 1996  Scott Christley  <scottc@net-community.com>

	Configuration changes for Linux.
	* configure.in: Add librarian program and flag variables.
	* configure: Regenerate for configure.in changes.

	Configuration changes for Win32.
	* GNUmakefile: Rename to Makefile.in.
	* Makefile.win32: New file.
	* config.h.win32: New file.
	* config.mak.in: Use library file extension.  Add configuration
	variables for librarian program and flags.
	* config.mak.sed.win32: New file.
	* configure.bat: New file.
	* extensions/GNUmakefile: Rename to Makefile.in.
	* extensions/Makefile.win32: New file.
	* extensions/support.h.win32: New file.
	* extensions/common.h: Exclude some include files for Win32.
	* lib/GNUmakefile: Rename to Makefile.in.

	* ChangeLog: New file.
